GMERLIN-RENDERER(1)

NAME
gmerlin-renderer - Gmerlin media renderer

SYNOPSIS
gmerlin-renderer [options]

DESCRIPTION
Gmerlin Mediarenderer

OPTIONS

-sc <file>

    Save config to file

-c <file>

    Load config from a file

-i <options>

    Input options

-aud <options>

    Audio options

-vid <options>

    Video options

-oa plugin[?param1=val1[&param2=val2...]]

    Set audio output plugin. Use -list-oa to list available plugins and -list-plugin-parameters <plugin> to list all supported options

-ov plugin[?param1=val1[&param2=val2...]]

    Set video output plugin. Use -list-ov to list available plugins and -list-plugin-parameters <plugin> to list all supported options

-fa plugin[?param1=val1[&param2=val2...]]

    Add an audio filter with options to the chain. This option can be given multiple times. Use -list-fa to list available plugins and -list-plugin-parameters <plugin> to list all supported options

-fv plugin[?param1=val1[&param2=val2...]]

    Add a video filter with options to the chain. This option can be given multiple times. Use -list-fv to list available plugins and -list-plugin-parameters <plugin> to list all supported options

-vis <options>

    Audio visualization

-osd <options>

    OSD Options

GENERIC OPTIONS
The following generic options are available for all gmerlin applications

-help

    Print this help message and exit

-help-man

    Print this help message as a manual page and exit

-help-texi

    Print this help message in texinfo format and exit

-version

    Print version info and exit

-v level

    Set verbosity level (0..4)

-syslog name

    Log to syslog the specified name

-stderr

    Always log to stderr

FILES
~/.gmerlin/plugins.xml

    Cache of the plugin registry (shared by all applications)

~/.gmerlin/generic/cfg.xml

    Default plugin parameters are read from there. Use gmerlin_plugincfg to change them.